Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.xaresource
Class MSDTCxaResourceWrap

    java.lang.Object
      com.stc.connector.msmqadapter.xaresource.MSDTCxaResourceWrap

    public class MSDTCxaResourceWrap

extends java.lang.Object

Version:
Author:

Constructor Summary
`MSDTCxaResourceWrap()`

Method Summary
`int` | `close(java.lang.String xa_resource_name)`
`int` | `commit(byte[] gtrid, byte[] bqual, int formatid, boolean flag)`
`int` | `end(byte[] gtrid, byte[] bqual, int formatid, int flags)`
`int` | `forget(byte[] gtrid, byte[] bqual, int formatid)`
`int` | `getInstance()`
`void` | `MSDTCxaResourceWrap()`
`int` | `open(java.lang.String xa_resource_name)`
`int` | `prepare(byte[] gtrid, byte[] bqual, int formatid)`
`int` | `recover(byte[] gtrids, byte[] bquals, long count, int flags)`
`int` | `rollback(byte[] gtrid, byte[] bqual, int formatid)`
`int` | `start(byte[] gtrid, byte[] bqual, int formatid, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSDTCxaResourceWrap

    public MSDTCxaResourceWrap()

Method Detail

### open

    public int open(java.lang.String xa_resource_name)

### close

    public int close(java.lang.String xa_resource_name)

### commit

    public int commit(byte[] gtrid,
                      byte[] bqual,
                      int formatid,
                      boolean flag)

### end

    public int end(byte[] gtrid,
                   byte[] bqual,
                   int formatid,
                   int flags)

### forget

    public int forget(byte[] gtrid,
                      byte[] bqual,
                      int formatid)

### prepare

    public int prepare(byte[] gtrid,
                       byte[] bqual,
                       int formatid)

### recover

    public int recover(byte[] gtrids,
                       byte[] bquals,
                       long count,
                       int flags)

### rollback

    public int rollback(byte[] gtrid,
                        byte[] bqual,
                        int formatid)

### start

    public int start(byte[] gtrid,
                     byte[] bqual,
                     int formatid,
                     int flags)

### getInstance

    public int getInstance()

### MSDTCxaResourceWrap

    public void MSDTCxaResourceWrap()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD